Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaEnumTypeWriter

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaWriter
          org.apache.axis.wsdl.toJava.JavaClassWriter
              org.apache.axis.wsdl.toJava.JavaEnumTypeWriter

All Implemented Interfaces:
  Generator

public class JavaEnumTypeWriter
extends JavaClassWriter

This is Wsdl2java's Complex Type Writer. It writes the .java file.

Field Summary

Fields inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`className, namespaces, packageName`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, LINE_LENGTH`

Constructor Summary
`protected` | `JavaEnumTypeWriter(Emitter emitter, TypeEntry type, java.util.Vector elements)` Constructor.

Method Summary
`void` | `generate()` Generate a java source file for enum class.
`static java.util.Vector` | `getEnumValueIds(java.util.Vector bv)` Get the enumeration names for the values.
`protected java.lang.String` | `getImplementsText()` Return "implements java.io.Serializable ".
`protected void` | `writeFileBody(java.io.PrintWriter pw)` Generate the binding for the given enumeration type.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`getClassModifiers, getClassName, getClassText, getExtendsText, getFileName, getPackage, registerFile, writeFileFooter, writeFileHeader, writeHeaderComments, writePackage`

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, getJavadocDescriptionPart, getPrintWriter, isFileGenerated, verboseMessage, writeComment, writeComment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaEnumTypeWriter

    protected JavaEnumTypeWriter(Emitter emitter,
                                 TypeEntry type,
                                 java.util.Vector elements)

  Constructor.

Parameters:
  `emitter` -
  `type` -
  `elements` -

Method Detail

### getImplementsText

    protected java.lang.String getImplementsText()

  Return "implements java.io.Serializable ".

  Overrides:
    `getImplementsText` in class `JavaClassWriter`
  Returns:

### writeFileBody

    protected void writeFileBody(java.io.PrintWriter pw)
                          throws java.io.IOException

  Generate the binding for the given enumeration type. The values vector contains the base type (first index) and the values (subsequent Strings)

  Specified by:
    `writeFileBody` in class `JavaWriter`
  Parameters:
    `pw` -
  Throws:
    `java.io.IOException`

### getEnumValueIds

    public static java.util.Vector getEnumValueIds(java.util.Vector bv)

  Get the enumeration names for the values. The name is affected by whether all of the values of the enumeration can be expressed as valid java identifiers.

  Parameters:
    `bv` - Vector base and values vector from getEnumerationBaseAndValues
  Returns:
    Vector names of enum value identifiers.

### generate

    public void generate()
                  throws java.io.IOException

  Generate a java source file for enum class. If the emitter works in deploy mode and the class already exists, the source wull not be generated.

  Specified by:
    `generate` in interface `Generator`
  Overrides:
    `generate` in class `JavaWriter`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.